<?php

namespace common\logic\Product\ProductPointSale\Repository;

use common\logic\AbstractRepository;

class ProductPointSaleRepository extends AbstractRepository
{
    protected ProductPointSaleRepositoryQuery $query;

    public function loadDependencies(): void
    {
        $this->loadQuery(ProductPointSaleRepositoryQuery::class);
    }

    public function getDefaultOptionsSearch(): array
    {
        return [
            self::WITH => ['product', 'pointSale'],
            self::JOIN_WITH => [],
            self::ORDER_BY => '',
            self::ATTRIBUTE_ID_PRODUCER => ''
        ] ;
    }
}